version: "3.7"
 
services:
  influxdb:
    image: influxdb:1.8.3
    container_name: influxdb
    environment:
      - INFLUXDB_DB=db0
      - INFLUXDB_ADMIN_ENABLED=true
      - INFLUXDB_ADMIN_USER=admin
      - INFLUXDB_ADMIN_PASSWORD=admin
    volumes:     
      - ./conf:/etc/influxdb
      - ./data:/var/lib/influxdb/data
      - ./meta:/var/lib/indluxdb/meta
      - ./wal:/var/lib/indluxdb/wal
      - ./backup/bin:/home/backup
      - ./backup/data:/tmp/backup/data
      - ./backup/gz:/tmp/backup/gz
    ports: 
      - "8083:8083"
      - "8086:8086"
    restart: always    
    network_mode: bridge
 